MWAWRSRCParser::Version Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
MWAWRSRCParser::Version Struct Reference

a public structure used to return the version More...

`#include <MWAWRSRCParser.hxx>`

## Public Member Functions
| Version ()

## Public Attributes
int | m_majorVersion
| the major number More...
int | m_minorVersion
| the minor number More...
int | m_countryCode
| the country code More...
std::string | m_string
| the major string More...
std::string | m_versionString
| the version string More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Version const &vers)
| operator<< More...

## Detailed Description

a public structure used to return the version

## Constructor & Destructor Documentation

MWAWRSRCParser::Version::Version | ( |  | ) |
| inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWRSRCParser::Version const & | vers
| ) |  |
| friend

operator<<

## Member Data Documentation

int MWAWRSRCParser::Version::m_countryCode

the country code

Referenced by operator<<(), and MWAWRSRCParser::parseVers().

std::string MWAWRSRCParser::Version::m_extra

extra data

Referenced by operator<<(), and MWAWRSRCParser::parseVers().

int MWAWRSRCParser::Version::m_majorVersion

the major number

Referenced by DocMkrParser::checkHeader(), NisusWrtParser::checkHeader(), operator<<(), and MWAWRSRCParser::parseVers().

int MWAWRSRCParser::Version::m_minorVersion

the minor number

Referenced by operator<<(), and MWAWRSRCParser::parseVers().

std::string MWAWRSRCParser::Version::m_string

the major string

Referenced by operator<<(), and MWAWRSRCParser::parseVers().

std::string MWAWRSRCParser::Version::m_versionString

the version string

Referenced by operator<<(), and MWAWRSRCParser::parseVers().

The documentation for this struct was generated from the following file:

- MWAWRSRCParser.hxx